﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using Subhastes.Models;

namespace Subhastes.Controllers
{
    public class AeroportsController : Controller
    {
        private SubhastesEntities1 db = new SubhastesEntities1();

        // GET: Aeroports
        public ActionResult Index()
        {
            return View(db.Aeroports.ToList());
        }

        // GET: Aeroports/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Aeroport aeroport = db.Aeroports.Find(id);
            if (aeroport == null)
            {
                return HttpNotFound();
            }
            return View(aeroport);
        }

        // GET: Aeroports/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Aeroports/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "IdAeroport,Nom")] Aeroport aeroport)
        {
            if (ModelState.IsValid)
            {
                db.Aeroports.Add(aeroport);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(aeroport);
        }

        // GET: Aeroports/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Aeroport aeroport = db.Aeroports.Find(id);
            if (aeroport == null)
            {
                return HttpNotFound();
            }
            return View(aeroport);
        }

        // POST: Aeroports/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "IdAeroport,Nom")] Aeroport aeroport)
        {
            if (ModelState.IsValid)
            {
                db.Entry(aeroport).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(aeroport);
        }

        // GET: Aeroports/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Aeroport aeroport = db.Aeroports.Find(id);
            if (aeroport == null)
            {
                return HttpNotFound();
            }
            return View(aeroport);
        }

        // POST: Aeroports/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Aeroport aeroport = db.Aeroports.Find(id);
            db.Aeroports.Remove(aeroport);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}
