﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using Subhastes.Models;

namespace Subhastes.Controllers
{
    public class SubhastesController : Controller
    {
        private SubhastesEntities1 db = new SubhastesEntities1();

        // GET: Subhastes
        public ActionResult Index()
        {
            var subhastas = db.Subhastas.Include(s => s.Producte);
            return View(subhastas.ToList());
        }

        // GET: Subhastes/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Subhasta subhasta = db.Subhastas.Find(id);
            if (subhasta == null)
            {
                return HttpNotFound();
            }
            return View(subhasta);
        }

        //// GET: Subhastes/Create
        //public ActionResult Create()
        //{
        //    return View();
        //}

        // GET: Subhastes/Create
        public ActionResult Create([Bind(Include="IdProducte,Nom")] Producte producte)
        {
            if (producte.IdProducte > 0) {
                Subhasta subhasta = new Subhasta();
                subhasta.IdProducte = producte.IdProducte;
                subhasta.Producte = producte;
                return View(subhasta);
            }             
            else
                return View();
        }


        // POST: Subhastes/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "IdSubhasta,IdProducte,DataInici,DataFi,PreuSortida,PreuActual,MaxParticipants")] Subhasta subhasta)
        {
            if (ModelState.IsValid)
            {
                db.Subhastas.Add(subhasta);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.IdProducte = new SelectList(db.Productes, "IdProducte", "Nom", subhasta.IdProducte);
            return View(subhasta);
        }

        // GET: Subhastes/Edit/5
        public ActionResult Edit(int? id, [Bind(Include = "IdProducte,Nom")] Producte producte)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Subhasta subhasta = db.Subhastas.Find(id);
            if (subhasta == null)
            {
                return HttpNotFound();
            }
            //if (producte.IdProducte==0)
            //    ViewBag.IdProducte = new SelectList(db.Productes, "IdProducte", "Nom", subhasta.IdProducte);
            //else
            //    ViewBag.IdProducte = new SelectList(db.Productes, "IdProducte", "Nom", producte.IdProducte);

            if (producte.IdProducte > 0)
            {
                subhasta.IdProducte = producte.IdProducte;
                subhasta.Producte = producte;

            }
            return View(subhasta);
        }

        // POST: Subhastes/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "IdSubhasta,IdProducte,DataInici,DataFi,PreuSortida,PreuActual,MaxParticipants")] Subhasta subhasta)
        {
            if (ModelState.IsValid)
            {
                db.Entry(subhasta).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.IdProducte = new SelectList(db.Productes, "IdProducte", "Nom", subhasta.IdProducte);
            return View(subhasta);
        }

        // GET: Subhastes/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Subhasta subhasta = db.Subhastas.Find(id);
            if (subhasta == null)
            {
                return HttpNotFound();
            }
            return View(subhasta);
        }

        // POST: Subhastes/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Subhasta subhasta = db.Subhastas.Find(id);
            db.Subhastas.Remove(subhasta);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}
