﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using Subhastes.Models;

namespace Subhastes.Controllers
{
    public class UsuarisController : Controller
    {
        private SubhastesEntities1 db = new SubhastesEntities1();

        // GET: Usuaris
        public ActionResult Index()
        {
            return View(db.Usuaris.ToList());
        }

        // GET: Usuaris/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Usuari usuari = db.Usuaris.Find(id);
            if (usuari == null)
            {
                return HttpNotFound();
            }
            return View(usuari);
        }

        // GET: Usuaris/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Usuaris/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "IdUsuari,Nom,Correu,Direccio,Poblacio,CP,Password")] Usuari usuari)
        {
            if (db.Usuaris.FirstOrDefault(u => u.Correu == usuari.Correu)!=null)
            {
                ViewBag.Error = "Ja existeix un usuari amb el mateix correu";
                return View(usuari);
            }

            if (ModelState.IsValid)
            {
                db.Usuaris.Add(usuari);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(usuari);
        }

        // GET: Usuaris/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Usuari usuari = db.Usuaris.Find(id);
            if (usuari == null)
            {
                return HttpNotFound();
            }
            return View(usuari);
        }

        // POST: Usuaris/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "IdUsuari,Nom,Correu,Direccio,Poblacio,CP,Password")] Usuari usuari)
        {
            if (ModelState.IsValid)
            {
                db.Entry(usuari).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(usuari);
        }

        // GET: Usuaris/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Usuari usuari = db.Usuaris.Find(id);
            if (usuari == null)
            {
                return HttpNotFound();
            }
            return View(usuari);
        }

        // POST: Usuaris/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Usuari usuari = db.Usuaris.Find(id);
            db.Usuaris.Remove(usuari);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}
