﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace SubhastesDesktopApp
{
    /// <summary>
    /// Clase que implementa la interfice INotifyPropertyChanged que poder fer bindings entre la vista y el model.
    /// </summary>
    public class NotifyPropertyClass:INotifyPropertyChanged
    {
        /// <summary>
        /// Notifica un canvi en la propietat indicada.
        /// </summary>
        /// <param name="propertyName"></param>
        protected void SendPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
