﻿using SubhastesService.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace SubhastesDesktopApp.Converters
{
    /// <summary>
    /// Si l'estat es Esperant retorna visible, collapsed en els demés casos.
    /// </summary>
    public class EstatSubhastaToVisibilityConverter:IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            switch ((enumEstatSubhasta) value)
            {
                case enumEstatSubhasta.Esperant:
                    return Visibility.Visible;

                case enumEstatSubhasta.Iniciada:
                case enumEstatSubhasta.Finalitzada:
                default:
                    return Visibility.Collapsed;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return null;
        }
    }
}
