﻿using SubhastesService;
using SubhastesService.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SubhastesDesktopApp
{
    /// <summary>
    /// Interaction logic for regionLlistatSubhastes.xaml
    /// </summary>
    public partial class RegionLlistaSubhastes : UserControl
    {
        public RegionLlistaSubhastes()
        {
            InitializeComponent();

            this.IsVisibleChanged += RegionLlistaSubhastes_IsVisibleChanged;
        }

        public MainWindowController Controller
        {
            get { return (MainWindowController)this.DataContext; }
        }


        /// <summary>
        /// Quan la vista es fa visible s'activa el timer de refresc de subhastes, si la vista s'amaga s'atura el timer.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void RegionLlistaSubhastes_IsVisibleChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            if (this.IsVisible)
            {
                this.Controller.LlistaSubhastes.GetSubhastes();
                this.Controller.LlistaSubhastes.IniciarRefrescSubhastes();
            }
            else
            {
                this.Controller.LlistaSubhastes.AturarRefrescSubhastes();
            }
        }


        /// <summary>
        /// Envia la petició de participació de la subhasta seleccionada.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnParticiparSubhasta_Click(object sender, RoutedEventArgs e)
        {
            Subhasta subhasta = (Subhasta)(sender as Button).DataContext;
            ResultPeticioParticipar result = this.Controller.LlistaSubhastes.Participar(subhasta);
            if (result.CodiError != 0)
            {
                MessageBox.Show(result.MissatgeError);
                 
            }
        }

        
    }
}
