﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SubhastesDesktopApp
{
    /// <summary>
    /// Interaction logic for RegionSubhasta.xaml
    /// </summary>
    public partial class RegionSubhasta : UserControl
    {
        public RegionSubhasta()
        {
            InitializeComponent();
            this.IsVisibleChanged += RegionSubhasta_IsVisibleChanged;
        }

        /// <summary>
        /// Quan la vista es fa visible s'activa el timer de refresc de les licitacions de la subhasta seleccionada, 
        /// si la vista s'amaga s'atura el timer.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void RegionSubhasta_IsVisibleChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            if (this.IsVisible)
            {
                this.Controller.Subhasta.IniciarRefrescLicitacions();
                this.Controller.Subhasta.IsBotoLicitarEnabled = true;
            }
            else
            {
                this.Controller.Subhasta.AturarRefrescLicitacions();
                this.Controller.Subhasta.CurrentSubhasta = null;
            }
        }

        public MainWindowController Controller
        {
            get { return (MainWindowController)this.DataContext; }
        }

        private void btnLicitar_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                this.Controller.Subhasta.PreuLicitat = Convert.ToDecimal(txtPreuLicitacio.Text.Replace("€", ""));
            }
            catch { }

            this.Controller.Subhasta.Licitar();
        }

        private void btnIncrementarLicitacioMinima_Click(object sender, RoutedEventArgs e)
        {
            this.Controller.Subhasta.IncrementaPreuLicitacio(5);
        }

        private void btnDisminuirLicitacioMinima_Click(object sender, RoutedEventArgs e)
        {
            this.Controller.Subhasta.DecrementaPreuLicitacio(5);
        }

       
        /// <summary>
        /// Validació del text d'entrada. Només valida si la entrada son números.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void txtPreuLicitacio_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            int key = (int)e.Key;

            e.Handled = !(key >= 34 && key <= 43 || key >= 74 && key <= 83 || key == 2 || key ==23 || key == 25);
        }
        


    }
}
