﻿
using SubhastesService.Entities;
using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SubhastesService
{
    /// <summary>
    /// Singleton.
    /// </summary>
    public class DataService
    {

        private static DataService instance;

        
        /// <summary>
        /// Constructor.
        /// </summary>
        private DataService() 
        {
            Autenticacio = new DlAutenticacio();
            Subhasta = new DlSubhasta();
        }


        /// <summary>
        /// Retorna una única instancia del objecte.
        /// </summary>
        public static DataService Instance
        {
            get
            {
                if (instance == null)
                {
                    instance = new DataService();
                }
                return instance;
            }
        }

        /// <summary>
        /// Acces a dades per les funcions de autenticació.
        /// </summary>
        public DlAutenticacio Autenticacio { get; private set; }

        /// <summary>
        /// Accés a dades per les funcions relacionades amb les subhastes.
        /// </summary>
        public DlSubhasta Subhasta { get; set; }

    }
}
