﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace SubhastesService.Entities
{
    [DataContract]
    public class Licitacio:IComparable<Licitacio>
    {
        [DataMember]
        public int IdLicitacio { get; set; }
        [DataMember]
        public int IdParticipant { get; set; }
        [DataMember]
        public Nullable<decimal> PreuLicitat { get; set; }
        [DataMember]
        public Nullable<System.DateTime> Data { get; set; }
        [DataMember]
        public virtual Participant Participant { get; set; }
        [DataMember]
        public Usuari Usuari { get; set; }

        /// <summary>
        /// Determina el preu acumulat.
        /// </summary>
        public decimal PreuAcumulat { get; set; }


        /// <summary>
        /// Ordenació ascendent per ID.
        /// </summary>
        /// <param name="other"></param>
        /// <returns></returns>
        public int CompareTo(Licitacio other)
        {
            if (this.IdLicitacio < other.IdLicitacio)
                return 1;
            else if (this.IdLicitacio == other.IdLicitacio)
                return 0;
            else
                return -1;
        }

        
    }
}
