﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media.Imaging;

namespace SubhastesService.Entities
{
    [DataContract]
    public class Producte
    {
        private BitmapImage bitmap;

        public Producte()
        {
            this.Subhastas = new HashSet<Subhasta>();
        }

        [DataMember]
        public int IdProducte { get; set; }
        [DataMember]
        public int IdAeroport { get; set; }
        [DataMember]
        public string Nom { get; set; }
        [DataMember]
        public string Descripcio { get; set; }
        [DataMember]
        public byte[] Imatge { get; set; }
        [DataMember]
        public string ImatgeMimeType { get; set; }

        public BitmapImage Bitmap 
        {
            get 
            {
                if (bitmap == null && Imatge!=null)
                {
                    bitmap = new BitmapImage();
                    bitmap.BeginInit();
                    bitmap.StreamSource = new MemoryStream(Imatge);
                    bitmap.EndInit();
                }
                return bitmap;
            }
            
        }


        [DataMember]
        public virtual Aeroport Aeroport { get; set; }
        [DataMember]
        public virtual ICollection<Subhasta> Subhastas { get; set; }
    }
}
